/**
 * =============================================================
 * @package		RAXO Columns Module Layout
 * -------------------------------------------------------------
 * @copyright	Copyright (C) 2009-2019 RAXO Group
 * @link		https://www.raxo.org
 * @license		RAXO Commercial License
 * 				This file is forbidden for redistribution
 * =============================================================
 */


/* jQuery Actual Plugin v1.0.18 (Copyright 2012 Ben Lin) */
(function(a){if(typeof define==="function"&&define.amd){define(["jquery"],a);}else{a(jQuery);}}(function(a){a.fn.addBack=a.fn.addBack||a.fn.andSelf;a.fn.extend({actual:function(b,l){if(!this[b]){throw'$.actual => The jQuery method "'+b+'" you called does not exist';}var f={absolute:false,clone:false,includeMargin:false,display:"block"};var i=a.extend(f,l);var e=this.eq(0);var h,j;if(i.clone===true){h=function(){var m="position: absolute !important; top: -1000 !important; ";e=e.clone().attr("style",m).appendTo("body");};j=function(){e.remove();};}else{var g=[];var d="";var c;h=function(){c=e.parents().addBack().filter(":hidden");d+="visibility: hidden !important; display: "+i.display+" !important; ";if(i.absolute===true){d+="position: absolute !important; ";}c.each(function(){var m=a(this);var n=m.attr("style");g.push(n);m.attr("style",n?n+";"+d:d);});};j=function(){c.each(function(m){var o=a(this);var n=g[m];if(n===undefined){o.removeAttr("style");}else{o.attr("style",n);}});};}h();var k=/(outer)/.test(b)?e[b](i.includeMargin):e[b]();j();return k;}});}));

/* Responsive Elements (Copyright 2013 Kumail Hunaid) */
(function(g){var h={elementsAttributeName:"data-respond",maxRefreshRate:5,defaults:{start:320,end:1200,interval:40},init:function(){var a=this;g(function(){a.el={window:g(window),responsive_elements:g("["+a.elementsAttributeName+"]")};a.events()})},parseOptions:function(a){if(!a)return!1;this._options_cache=this._options_cache||{};if(this._options_cache[a])return this._options_cache[a];for(var b=a.replace(/\s+/g,"").split(";"),d={},e=0;e<b.length;e++)if(b[e]){var c=b[e].split(":"),f=c[0],c=c[1];"px"=== c.slice(-2)&&(c=c.replace("px",""));isNaN(c)||(c=parseInt(c,10));d[f]=c}return this._options_cache[a]=d},generateBreakpointsOnAllElements:function(){var a=h;a.el.responsive_elements.each(function(b,d){a.generateBreakpointsOnElement(g(d))})},generateBreakpointsOnElement:function(a){var b=a.attr(this.elementsAttributeName),b=this.parseOptions(b)||this.defaults,b=this.generateBreakpoints(a.actual('width'),b);this.cleanUpBreakpoints(a);a.addClass(b.join(" "))},generateBreakpoints:function(a,b){for(var d=b.start, e=b.end,c=b.interval,d=c>d?c:~~(d/c)*c,f=[];d<=e;)d<a&&f.push("gt"+d),d>a&&f.push("lt"+d),d==a&&f.push("lt"+d),d+=c;return f},parseBreakpointClasses:function(a){a=a.split(/\s+/);var b=[];g(a).each(function(a,e){e.match(/^gt\d+|lt\d+$/)&&b.push(e)});return b},cleanUpBreakpoints:function(a){var b=this.parseBreakpointClasses(a.attr("class")||"");a.removeClass(b.join(" "))},events:function(){this.generateBreakpointsOnAllElements();this.el.window.bind("resize",this.utils.debounce(this.generateBreakpointsOnAllElements, this.maxRefreshRate))},utils:{debounce:function(a,b,d){var e,c=null;return function(){var f=this,g=arguments,h=d&&!c;clearTimeout(c);c=setTimeout(function(){c=null;d||(e=a.apply(f,g))},b);h&&(e=a.apply(f,g));return e}}}};h.init()})(jQuery);

/* jQuery matchHeight v0.5.2 (Copyright 2014 Liam Brummitt) */
(function(b){b.fn.matchHeight=function(a){if("remove"===a){var d=this;this.css("height","");b.each(b.fn.matchHeight._groups,function(b,a){a.elements=a.elements.not(d)});return this}if(1>=this.length)return this;a="undefined"!==typeof a?a:!0;b.fn.matchHeight._groups.push({elements:this,byRow:a});b.fn.matchHeight._apply(this,a);return this};b.fn.matchHeight._apply=function(a,d){var c=b(a),f=[c];d&&(c.each(function(){var a=b(this),c="inline-block"===a.css("display")?"inline-block":"block";a.css({display:c,"padding-top":"0","padding-bottom":"0","border-top-width":"0","border-bottom-width":"0",height:"100px"})}),f=k(c),c.css({display:"","padding-top":"","padding-bottom":"","border-top-width":"","border-bottom-width":"",height:""}));b.each(f,function(a,c){var d=b(c),f=0,e=d.parents().add(d).filter(":hidden");e.css({display:"block"});d.each(function(){var a=b(this),c="inline-block"===a.css("display")?"inline-block":"block";a.css({display:c,height:""});a.outerHeight(!1)>f&&(f=a.outerHeight(!1));a.css({display:""})});e.css({display:""});d.each(function(){var a=b(this),c=0;"border-box"!==a.css("box-sizing")&&(c+=g(a.css("border-top-width"))+g(a.css("border-bottom-width")),c+=g(a.css("padding-top"))+g(a.css("padding-bottom")));a.css("height",f-c)})});return this};b.fn.matchHeight._applyDataApi=function(){var a={};b("[data-match-height], [data-mh]").each(function(){var d=b(this),c=d.attr("data-match-height");a[c]=c in a?a[c].add(d):d});b.each(a,function(){this.matchHeight(!0)})};b.fn.matchHeight._groups=[];b.fn.matchHeight._throttle=300;var h=-1,e=-1;b.fn.matchHeight._update=function(a){if(a&&"resize"===a.type){a=b(window).width();if(a===h)return;h=a}-1===e&&(e=setTimeout(function(){b.each(b.fn.matchHeight._groups,function(){b.fn.matchHeight._apply(this.elements,this.byRow)});e=-1},b.fn.matchHeight._throttle))};b(b.fn.matchHeight._applyDataApi);b(window).bind("load resize orientationchange",b.fn.matchHeight._update);var k=function(a){var d=null,c=[];b(a).each(function(){var a=b(this),e=a.offset().top-g(a.css("margin-top")),h=0<c.length?c[c.length-1]:null;null===h?c.push(a):1>=Math.floor(Math.abs(d-e))?c[c.length-1]=h.add(a):c.push(a);d=e});return c},g=function(a){return parseFloat(a)||0}})(jQuery);
